# Interface GpuPickDebugOptions

Debugging options for GPU picking.

interface GpuPickDebugOptions {
clickMarkerSize: number;
cullMeshes: boolean;
pickCameraFovInRadians?: number;
saveTexture: boolean;
textureSizePow?: number;
}

##### Index

### Properties

clickMarkerSize
cullMeshes
pickCameraFovInRadians?
saveTexture
textureSizePow?

## Properties

### clickMarkerSize

clickMarkerSize: number

When texture is saved (after click) this indicates how big the marker drawn on the click point should be.

### cullMeshes

cullMeshes: boolean

If `true` meshes are culled during picking. Otherwise they are not

### `Optional` pickCameraFovInRadians

pickCameraFovInRadians?: number

Camera FOV when rendering to gpu pick texture is usually very small. But that means that it will be difficult to see rendered objects in texture. This value will override fov on pick camera during pick operation. Only used if saveTexture is true

### saveTexture

saveTexture: boolean

If `true` then the rendered gpu pick texture will be saved to disk. If `false` disables all other options.

### `Optional` textureSizePow

textureSizePow?: number

Default texture size if very small so it is difficult to make out bojects. Setting this allows us to use bigger texture size when debuggin. Only used if saveTexture is true